[Buildroot] [PATCH v2 2/2] package/pinentry: added optional support for qt5

Thomas Petazzoni thomas.petazzoni at free-electrons.com
Sun Sep 17 16:43:40 UTC 2017


Hello,

On Sun, 17 Sep 2017 17:18:36 +0200, Bernd Kuhls wrote:
> Upstream added support for qt5:
> https://git.gnupg.org/cgi-bin/gitweb.cgi?p=pinentry.git;a=commit;h=abb59f50abf698ff1e56490fb39bcc98c26ab44b
> 
> Signed-off-by: Bernd Kuhls <bernd.kuhls at t-online.de>
> ---
> v2: Moved rename of configure option -pinentry-qt4 to -pinentry-qt to
>     the patch bumping the package version.
> 
>  package/pinentry/Config.in   | 18 ++++++++++++++++++
>  package/pinentry/pinentry.mk |  4 +++-
>  2 files changed, 21 insertions(+), 1 deletion(-)
> 
> diff --git a/package/pinentry/Config.in b/package/pinentry/Config.in
> index a92cd82a22..7184a10c7b 100644
> --- a/package/pinentry/Config.in
> +++ b/package/pinentry/Config.in
> @@ -53,4 +53,22 @@ comment "pinentry-qt4 needs a toolchain w/ C++, threads"
>  	depends on BR2_USE_MMU
>  	depends on !BR2_INSTALL_LIBSTDCPP || !BR2_TOOLCHAIN_HAS_THREADS
>  
> +config BR2_PACKAGE_PINENTRY_QT5
> +	bool "pinentry-qt5"
> +	depends on BR2_INSTALL_LIBSTDCPP
> +	depends on BR2_USE_WCHAR
> +	depends on BR2_TOOLCHAIN_HAS_THREADS_NPTL
> +	depends on !BR2_STATIC_LIBS
> +	depends on !BR2_PACKAGE_PINENTRY_QT4
> +	select BR2_PACKAGE_QT5
> +	select BR2_PACKAGE_QT5BASE_GUI
> +	select BR2_PACKAGE_QT5BASE_WIDGETS
> +	help
> +	  The pinentry-qt5 tool

You forgot to adjust:

        # At least one backend is needed to avoid build breakage
        select BR2_PACKAGE_PINENTRY_NCURSES if !BR2_PACKAGE_PINENTRY_GTK2 && !BR2_PACKAGE_PINENTRY_QT4

And therefore, you cannot select just the qt5 backend.

>  # pinentry-qt4 backend

This commit looks no longer correct ?

> +ifeq ($(BR2_PACKAGE_PINENTRY_QT4)$(BR2_PACKAGE_PINENTRY_QT5),y)
>  ifeq ($(BR2_PACKAGE_PINENTRY_QT4),y)
>  # -pthread needs to be passed for certain toolchains
>  # http://autobuild.buildroot.net/results/6be/6be109ccedec603a67cebdb31b55865dcce0e128/
>  PINENTRY_CONF_OPTS += LIBS=-pthread MOC=$(HOST_DIR)/bin/moc
> +endif
>  PINENTRY_CONF_OPTS += --enable-pinentry-qt
> -PINENTRY_DEPENDENCIES += qt
> +PINENTRY_DEPENDENCIES += $(if $(BR2_PACKAGE_PINENTRY_QT4),qt,qt5base)
>  else
>  PINENTRY_CONF_OPTS += --disable-pinentry-qt
>  endif

Thomas
-- 
Thomas Petazzoni, CTO, Free Electrons
Embedded Linux and Kernel engineering
http://free-electrons.com


More information about the buildroot mailing list